diff -ur desktop-base-4.0.4.old/debian/control desktop-base-4.0.4/debian/control
--- desktop-base-4.0.4.old/debian/control	2007-11-23 11:38:34.000000000 +0100
+++ desktop-base-4.0.4/debian/control	2008-01-09 00:43:42.000000000 +0100
@@ -12,7 +12,7 @@
 
 Package: desktop-base
 Architecture: all
-Depends: librsvg2-common
+Depends: librsvg2-common, librsvg2-bin, imagemagick
 Suggests: gnome | kde | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by
diff -ur desktop-base-4.0.4.old/debian/postinst desktop-base-4.0.4/debian/postinst
--- desktop-base-4.0.4.old/debian/postinst	2007-11-23 11:39:56.000000000 +0100
+++ desktop-base-4.0.4/debian/postinst	2008-01-09 00:45:21.000000000 +0100
@@ -57,5 +57,15 @@
         /usr/share/images/desktop-base/desktop-splash \
         desktop-splash \
         /usr/share/images/desktop-base/Splash-Debian_red.png 10
-fi
 
+    # GRUB background
+    if test -e /usr/share/images/desktop-base/debian-blueish-wallpaper.svg \
+            && ! test -e /usr/share/images/desktop-base/debian-blueish-wallpaper_640x480.tga ; then
+        png=`mktemp -t XXXXXXXXXX.png`
+        rsvg -w 640 -h 480 /usr/share/images/desktop-base/debian-blueish-wallpaper.svg ${png}
+        convert ${png} /usr/share/images/desktop-base/debian-blueish-wallpaper_640x480.tga
+    fi
+    if which update-grub2 2> /dev/null ; then
+        update-grub2
+    fi
+fi
diff -ur desktop-base-4.0.4.old/debian/prerm desktop-base-4.0.4/debian/prerm
--- desktop-base-4.0.4.old/debian/prerm	2007-11-23 11:40:13.000000000 +0100
+++ desktop-base-4.0.4/debian/prerm	2008-01-09 00:45:31.000000000 +0100
@@ -31,5 +31,10 @@
 
     update-alternatives --remove desktop-splash \
         /usr/share/images/desktop-base/Splash-Debian_red.png
+
+    rm -f /usr/share/images/desktop-base/debian-blueish-wallpaper_640x480.tga
+    if which update-grub2 2> /dev/null ; then
+        update-grub2
+    fi
 fi
 
